package drawing.gui;

import java.awt.Graphics;
import java.awt.event.MouseAdapter;
import java.awt.event.MouseEvent;
import java.awt.event.MouseMotionAdapter;
import java.util.Observable;
import java.util.Observer;

import javax.swing.JPanel;

import dtu.se1.model.Drawing;
import dtu.se1.model.Point;

public class DrawingPanel extends JPanel implements Observer {

	private static final long serialVersionUID = -6420650608577477761L;

	public Drawing drawing;
	
	public DrawingPanel(Drawing drawing) {
		
		this.drawing = drawing;
		
		drawing.addObserver(this);
		
		addMouseListener(new MouseAdapter() {
			@Override
			public void mousePressed(MouseEvent e) {
				drawing.newLine();
			}
		});
		addMouseMotionListener(new MouseMotionAdapter() {
			@Override
			public void mouseDragged(MouseEvent e) {
				drawing.addPoint(new Point(e.getX(),e.getY()));
			}
		});
	}
	
	@Override
	public void paint(Graphics g) {
		drawing.draw(g);
	}

	@Override
	public void update(Observable o, Object arg) {
		repaint();
	}

}
