package dtu.se1.model;

import java.awt.Graphics;
import java.util.ArrayList;
import java.util.List;
import java.util.Observable;

public class Drawing extends Observable {
	
	private List<Polyline> lines = new ArrayList<>();
	
	public void newLine() {
		lines.add(new Polyline());
		setChanged();
		notifyObservers();
	}
	
	public void addPoint(Point p) {
		lines.get(lines.size() - 1).add(p);
		setChanged();
		notifyObservers();
	}
	
	public List<Polyline> getLines() {
		return lines;
	}

	public void draw(Graphics g) {
		for (Polyline l : getLines()) {
			l.draw(g);
		}
	}
}
